const idTaster_KZ = "0_userdata.0.Booster_301_KZ.Aktiv";
const idDauer_KZ = "0_userdata.0.Booster_301_KZ.Dauer";
const idVis_KZ = "0_userdata.0.Booster_301_KZ.Countdown"; // Anzeige Restdauer in Minuten

createState(idTaster_KZ, false, {type: 'boolean', read: true, write: true});
createState(idDauer_KZ, 15, {type: 'number', read: true, write: true});
createState(idVis_KZ, 0, {type: 'number', read: true, write: true});

var cnt = getState(idVis_KZ).val;
var timer = null;
 
function countDown() {
    cnt--;
    setState(idVis_KZ, cnt, true);
    if(cnt <= 0) {
       clearInterval(timer);
       setState(idTaster_KZ, false); //Countdownanzeige (Restzeit Booster) in VIS
    }   
}
 
on({id: idTaster_KZ, val: true}, function () {
    var cdauer = getState(idDauer_KZ).val;
    setState('fritzdect.0.DECT_099950330172.boostactivetime', cdauer); //setzen Booster-Zeit
    setState('fritzdect.0.DECT_099950330172.boostactive', true); //Booster-Funktion aktivieren

    cnt = cdauer;
    setState(idVis_KZ, cnt, true); //Countdownanzeige (Restzeit Booster) in VIS
    
    if(timer) clearInterval(timer);
    timer = setInterval(countDown, 60000);
});
