const Temp_old = "fritzdect.0.DECT_099950189150.lasttarget";
const Temp_new = "fritzdect.0.DECT_099950189150.tsoll";
const Sperre = "fritzdect.0.DECT_099950189150.summeractive"; //Sommermodus = Heizung AUS

const Told = "0_userdata.0.Booster_301_WZ.Temperatur_old";
const Tnew = "0_userdata.0.Booster_301_WZ.Temperatur_new";

const idVentilator_A = "hs100.0.192_168_10_92.state";
const idNachlauf_A = "0_userdata.0.Booster_301_WZ.Nachlauf";
const idNachlaufDauer_A = "0_userdata.0.Booster_301_WZ.Nachlauf_Dauer";

createState(Told, 20.5, {type: 'number', read: true, write: true});
createState(Tnew, 20.5, {type: 'number', read: true, write: true});
createState(idNachlauf_A, false, {type: 'boolean', read: true, write: true});
createState(idNachlaufDauer_A, 0, {type: 'number', read: true, write: true});

var wOld = getState(Temp_old).val;
var wNew = getState(Temp_new).val;
var wSperre = getState(Sperre).val;

setState(Told,wOld);
setState(Tnew,wOld);

function schalten() {
    if (wNew > wOld) {
        setState(idNachlaufDauer_A,0); //Automatik deaktivieren, falls an
        setState(idNachlauf_A,false); //Automatik deaktivieren, falls an

        setState(Told,wNew);
        setState(Tnew,wNew);
        wOld=wNew;
        if (wSperre === false) {
            setState(idVentilator_A,true);
            setState(idNachlaufDauer_A,15);
            setState(idNachlauf_A,false);
        }
    } else if (wNew < wOld) {
        setState(Told,wNew);
        setState(Tnew,wNew);
        wOld=wNew;
        if (wSperre === false) {
            setState(idNachlaufDauer_A,15);
            setState(idNachlauf_A,true);
        }
    }
}

//setTimeout(schalten, 200);

on(Temp_new, function(dp) {
   wNew = dp.state.val;
   schalten();
});
