const cKalSwitch = '0_userdata.0.Diverses.KalenderSwitch';

createState(cKalSwitch, 0, {type: 'number', read: true, write: true});
createState('0_userdata.0.Diverses.Kalender', "[]", {
  read: true, 
  write: true, 
  desc: "JSON String", 
  type: "string", 
  def: "[]"
});

const VetConcept='[{"Item": "Montag bis Freitag","Value": "07:30 bis 20:00"},{"Item": "Samstag","Value": "08:00 bis 15:00"},{"Item": "","Value": ""},{"Item": "Telefon","Value": "0800 - 6655220"},{"Item": "Kundenummer","Value": "0049XXXXX"}]';
const Physiotherapie='[{"Item": "Montag bis Donnerstag","Value": "08:00 bis 20:00"},{"Item": "Freitag","Value": "08:00 bis 16:00"},{"Item": "","Value": ""},{"Item": "Telefon","Value": "03591 - 601040"},{"Item": "Absagen","Value": "Frist: 24 Stunden"}]';
const Gesundheitsamt='[{"Item": "Montag bis Mittwoch","Value": "08:30 bis 13:00"},{"Item": "Donnerstag","Value": "08:30 bis 15:00"},{"Item": "Freitag","Value": "08:30 bis 13:00"},{"Item": "","Value": ""},{"Item": "Telefon","Value": "03591 - 525112121"},{"Item": "E-Mail","Value": "infektionsmeldungen@lra-bautzen.de"}]';
const Glueckseck='[{"Item": "Montag bis Freitag","Value": "9:00 bis 17:30"},{"Item": "Samstag","Value": "08:00 bis 12:00"},{"Item": "","Value": ""},{"Item": "Telefon","Value": "03591 - 209358"}]';
const Kinderklinik='[{"Item": "Samstag und Sonntag","Value": "9:00 bis 13:00"},{"Item": "Feiertage","Value": "9:00 bis 13:00"},{"Item": "Brückentage","Value": "9:00 bis 13:00"},{"Item": "","Value": ""},{"Item": "Telefon","Value": "03591 - 36377777"}]';
const Jaehnig='[{"Item": "Montag","Value": "08:00 bis 18:00"},{"Item": "Dienstag","Value": "08:00 bis 13:00"},{"Item": "Mittwoch","Value": "08:00 bis 18:00"},{"Item": "Donnerstag","Value": "08:00 bis 18:00"},{"Item": "Freitag","Value": "08:00 bis 13:00"},{"Item": "","Value": ""},{"Item": "Telefon","Value": "03591 - 41135"}]';
const Zickmueller='[{"Item": "Montag","Value": "07:30 bis 12:00 und 14:00 bis 18:00"},{"Item": "Dienstag","Value": "07:30 bis 12:30"},{"Item": "Mittwoch","Value": "07:30 bis 12:30"},{"Item": "Donnerstag","Value": "07:30 bis 12:00 und 14:00 bis 16:00"},{"Item": "","Value": ""},{"Item": "Telefon","Value": "035938 - 98866"},{"Item": "Achtung","Value": "Telefon nur 06:30 bis 07:30"}]';
const Friseur='[{"Item": "Montag bis Freitag","Value": "07:00 bis 19:00"},{"Item": "Samstag","Value": "08:00 bis 12:00"},{"Item": "","Value": ""},{"Item": "Telefon","Value": "03591 - 23189"}]';
const Roentgen='[{"Item": "Montag bis Donnerstag","Value": "08:00 bis 17:30"},{"Item": "Freitag","Value": "08:00 bis 13:00"},{"Item": "","Value": ""},{"Item": "Telefon","Value": "03591 - 501250"}]';
const Kinderarzt='[{"Item": "Montag","Value": "07:30 bis 14:00"},{"Item": "Dienstag","Value": "07:30 bis 12:00 und 14:00 bis 16:00"},{"Item": "Mittwoch","Value": "07:30 bis 12:00"},{"Item": "Donnerstag","Value": "07:30 bis 12:00 und 14:00 bis 16:00"},{"Item": "Freitag","Value": "07:30 bis 12:00"},{"Item": "","Value": ""},{"Item": "Telefon","Value": "03591 - 22084"}]';
const Tierarzt='[{"Item": "Montag bis Freitag","Value": "08:00 bis 18:00"},{"Item": "","Value": ""},{"Item": "Telefon","Value": "035955 - 44739"},{"Item": "E-Mail","Value": "info@tierarzt-weissbach.de"}]';
const Zahnarzt='[{"Item": "Dienstag bis Freitag","Value": "15:00 bis 20:00"},{"Item": "Samstag","Value": "nach Vereinbarung"},{"Item": "","Value": ""},{"Item": "Telefon","Value": "03591 - 3296669"}]';
const Mueller='[{"Item": "Montag","Value": "08:00 bis 12:30 und 14:30 bis 18:00"},{"Item": "Dienstag","Value": "08:00 bis 12:30 und 14:30 bis 18:00"},{"Item": "Mittwoch","Value": "08:00 bis 13:30"},{"Item": "Donnerstag","Value": "08:00 bis 13:30"},{"Item": "Freitag","Value": "08:00 bis 12:30"},{"Item": "","Value": ""},{"Item": "Telefon","Value": "03591 - 43108"}]';
const Frauenarzt='[{"Item": "Montag","Value": "08:00 bis 13:00 und 14:00 bis 18:00"},{"Item": "Dienstag","Value": "08:00 bis 13:00"},{"Item": "Mittwoch","Value": "08:00 bis 13:00 und 14:00 bis 18:00"},{"Item": "Donnerstag","Value": "08:00 bis 13:00 und 14:00 bis 16:00"},{"Item": "Freitag","Value": "08:00 bis 13:00"},{"Item": "","Value": ""},{"Item": "Telefon","Value": "03591 - 43075"}]';
const Hausarzt='[{"Item": "Montag","Value": "08:00 bis 11:00"},{"Item": "Dienstag","Value": "08:00 bis 11:00 und 15:00 bis 18:00"},{"Item": "Mittwoch","Value": "08:00 bis 11:00"},{"Item": "Donnerstag","Value": "13:30 bis 18:00"},{"Item": "Freitag","Value": "08:00 bis 11:00"},{"Item": "","Value": ""},{"Item": "Telefon","Value": "03591 - 23163"}]';


on(cKalSwitch, function(dp) {
    var kValue=getState(cKalSwitch).val;
    var retVal='';
    if (kValue == 1) {
        retVal=Friseur;
    } else if (kValue == 2) {
        retVal=Gesundheitsamt;
    } else if (kValue == 3) {
        retVal=Glueckseck;
    } else if (kValue == 4) {
        retVal=Kinderarzt;
    } else if (kValue == 5) {
        retVal=Zahnarzt;
    } else if (kValue == 6) {
        retVal=Frauenarzt;
    } else if (kValue == 7) {
        retVal=Jaehnig;
    } else if (kValue == 8) {
        retVal=Mueller;
    } else if (kValue == 9) {
        retVal=Zickmueller;
    } else if (kValue == 10) {
        retVal=Kinderklinik;
    } else if (kValue == 11) {
        retVal=Physiotherapie;
    } else if (kValue == 12) {
        retVal=Roentgen;
    } else if (kValue == 13) {
        retVal=Tierarzt;
    } else if (kValue == 14) {
        retVal=VetConcept;
    } else if (kValue == 15) {
        retVal=Hausarzt;
    }
    setState('0_userdata.0.Diverses.Kalender', retVal, true);
});