const DruckerCyan = '0_userdata.0.SNMP.192_168_10_19.Cyan_Stand';
const DruckerMagenta = '0_userdata.0.SNMP.192_168_10_19.Magenta_Stand';
const DruckerYellow = '0_userdata.0.SNMP.192_168_10_19.Yellow_Stand';
const DruckerBlack = '0_userdata.0.SNMP.192_168_10_19.Black_Stand';

createState('0_userdata.0.Diverses.WhatsApp.Printer', 1, {type: 'number', read: true, write: true});
createState('0_userdata.0.Diverses.WhatsApp.DectTemperatur', 1, {type: 'number', read: true, write: true});

function Druckerstand(uid='', Stand) {
    if (getState('0_userdata.0.Diverses.WhatsApp.Printer').val == 1) {
        WhatsAppBot("alle", uid+" hat noch eine Restkapazität von "+Stand+" Prozent. Neuen Toner bestellen. Der Drucker wird nur noch wenige Seiten drucken können.");
    }
}

function TempKontrolle(){
    if (getState('0_userdata.0.Diverses.WhatsApp.DectTemperatur').val == 1) {
        var vData = getObject("enum.functions.temperature_sensor").common.members;
        for(let i = 0; i < vData.length; i++) {
            var a = getObject(vData[i])._id;
            var b = a.split('.');
            var c = b[2].split('_');

            if (!existsState('0_userdata.0.Energy.Temperaturkontrolle.'+c[1])) {
                createState('0_userdata.0.Energy.Temperaturkontrolle.'+c[1], getState(vData[i]).val, {type: 'number', name: getObject('fritzdect.0.'+b[2]).common.name, unit: '°C'});
            }

            if (getState(vData[i]).val >= 45) {
                if (getState(vData[i]).val > getState('0_userdata.0.Energy.Temperaturkontrolle.'+c[1]).val) {
                    WhatsAppBot([0,1], "ACHTUNG: Steckdose " + getObject('fritzdect.0.'+b[2]).common.name + " bitte überprüfen. Es wird eine Temperatur von " + getState(vData[i]).val + "°C gemeldet.");
                }
            }

            if (getState(vData[i]).val != getState('0_userdata.0.Energy.Temperaturkontrolle.'+c[1]).val) {
                setState('0_userdata.0.Energy.Temperaturkontrolle.'+c[1], getState(vData[i]).val);
            }
        }
    }
}



$('state(functions=temperature_sensor)').on(function(obj) {
    TempKontrolle();
});

on(DruckerCyan, function(dp) {;
    if (getState(DruckerCyan).val <= 5){
        Druckerstand("Toner-Cyan",getState(DruckerCyan).val);
    }
});
on(DruckerMagenta, function(dp) {
    if (getState(DruckerMagenta).val <= 5){
        Druckerstand("Toner-Magenta",getState(DruckerMagenta).val);
    }
});

on(DruckerYellow, function(dp) {
    if (getState(DruckerYellow).val <= 5){
        Druckerstand("Toner-Yellow",getState(DruckerYellow).val);
    }
});
on(DruckerBlack, function(dp) {
    if (getState(DruckerBlack).val <= 5){
        Druckerstand("Toner-Black",getState(DruckerBlack).val);
    }
});

schedule('{"time":{"exactTime":true,"start":"14:00"},"period":{"weeks":1,"dows":"[0]"}}', function EssenSchule() {
    WhatsAppBot([1,2], "Essenplanung schon erledigt?");
});