const cPIN = '0_userdata.0.Diverses.PIN.PIN';
const cPINCode = '0_userdata.0.Diverses.PIN.PINCode';
const cPINCodeOK = '0_userdata.0.Diverses.PIN.PINCodeOK';
const cPINCodeStatus = '0_userdata.0.Diverses.PIN.PINCodeStatus';
const cPINSichtbar = '0_userdata.0.Diverses.PIN.PINSichtbar';
const cPINBefehlCode = '0_userdata.0.Diverses.PIN.PINBefehlCode';
const cPINText = '0_userdata.0.Diverses.PIN.PINText';

createState(cPIN, '', {type: 'string', read: true, write: true});
createState(cPINCode, '', {type: 'string', read: true, write: true});
createState(cPINCodeOK, '7410', {type: 'string', read: true, write: true});
createState(cPINCodeStatus, 'false', {type: 'boolean', read: true, write: true});
createState(cPINSichtbar, 'false', {type: 'boolean', read: true, write: true});
createState(cPINBefehlCode, 0, {type: 'number', read: true, write: true});
createState(cPINText, 'Eingabe erforderlich', {type: 'string', read: true, write: true});

createState('0_userdata.0.Diverses.PIN.Left', '0px', {type: 'string', read: true, write: true});
createState('0_userdata.0.Diverses.PIN.Top', '95px', {type: 'string', read: true, write: true});
createState('0_userdata.0.Diverses.PIN.Width', '1920px', {type: 'string', read: true, write: true});
createState('0_userdata.0.Diverses.PIN.Height', '900px', {type: 'string', read: true, write: true});
createState('0_userdata.0.Diverses.PIN.Text', '', {type: 'string', read: true, write: true});

var InArbeit = false;

function PinControl() {
    var v = getState(cPIN).val;
    var c = getState(cPINCode).val;
    var o = getState(cPINCodeOK).val;

    if (v == 'C') {
        c = '';
        setState(cPINCode,'');
        setState(cPINCodeStatus,false);
    } else if (v == 'O') {
        if (c == o) {
            setState(cPINText,'Eingabe war korrekt');
            setState(cPINCodeStatus,true);
            setTimeout(function(){
                setState(cPINSichtbar,false);
                setState(cPINCode,'');
                setState(cPINCodeStatus,false);
                setState(cPINText,'Eingabe erforderlich');
                setState(cPIN,'');
                var b = getState(cPINBefehlCode).val;

                if (b == 1) {
                    //Boinc-PC neustart
                    setState('linux-control.0.Boinc.control.restart',true);
                } else if (b == 2) {
                    //Rechenkraft-PC neustart
                    setState('linux-control.0.Rechenkraft.control.restart',true);
                } else if (b == 3) {
                    //PiHole-Log löschen
                    setState('linux-control.0.RPI4-Server.ClearPiHole',true);
                } else if (b == 4) {
                    //Paperless Backup
                    setState('linux-control.0.RPI4-Server.PaperlessBackup',true);
                } else if (b == 5) {
                    //Paperless Update
                    setState('linux-control.0.RPI4-Server.PaperlessUpdate',true);
                } else if (b == 6) {
                    //MySQL Backup
                    setState('linux-control.0.RPI4-Server.MySQLBackup',true);
                } else if (b == 7) {
                    //Fritzbox neu starten
                    setState('tr-064.0.states.reboot',true);
                } else if (b == 8) {
                    //Internet neu verbinden
                    setState('tr-064.0.states.reconnectInternet',true);
                }
            },1500);
        } else {
            setState(cPINCodeStatus,false);
            setState(cPINText,'Eingabe war falsch');
            setTimeout(function(){
                setState(cPINText,'Eingabe erforderlich');
                setState(cPIN,'');
                c = '';
                setState(cPINCode,'');
                setState(cPINCodeStatus,false);
            },1500);
        }
    } else if (v == 'R') {

    } else if (v == 'X') {
        setState(cPINSichtbar,false);
        setState(cPINCode,'');
        setState(cPINCodeStatus,false);
        setState(cPINText,'Eingabe erforderlich');
        setState(cPIN,'');
    } else {
        c=c+v;
        setState(cPINCode,c);
        setState(cPIN,'R');
    }
}

on(cPIN, function(dp) {
    if (InArbeit == false) {
        InArbeit = true;
        setTimeout(function(){
            PinControl();
        },100);
        InArbeit = false;
    }
});
