createState("0_userdata.0.Diverses.Menü", 1, {type: 'number', read: true, write: true});
createState('0_userdata.0.Diverses.Switch', 1, {type: 'number', read: true, write: true});
createState('0_userdata.0.Wetter.SonnenTagesDauer', 0, {type: 'number', read: true, write: true});
createState('0_userdata.0.Wetter.SonnenDauer', 0, {type: 'number', read: true, write: true});
createState('0_userdata.0.MediaWall.Datum','', {type: 'string', read: true, write: true});
createState('0_userdata.0.MediaWall.Zeit','', {type: 'string', read: true, write: true});
createState('0_userdata.0.IsAstroDay',isAstroDay(), {type: 'boolean', read: true, write: true});

setState("0_userdata.0.Diverses.Menü", 1);

//schedule('20 4 * * *', function FactoryReset() {
//    setState("0_userdata.0.Diverses.Menü", 1);
//});

schedule('*/1 * * * *', function AstroRefresh() {
    setState('0_userdata.0.IsAstroDay',isAstroDay());
});

schedule('*/1 * * * *', function DatumZeit() {
    var datum = new Date();
    var wochentag = new Array("Sonntag", "Montag", "Dienstag", "Mittwoch", "Donnerstag", "Freitag","Samstag");
    setState('0_userdata.0.MediaWall.Datum', wochentag[datum.getDay()]+', '+("00"+datum.getDate()).slice(-2)+'.'+("00"+(datum.getMonth()+1)).slice(-2)+'.'+datum.getFullYear());
    setState('0_userdata.0.MediaWall.Zeit', ("00"+datum.getHours()).slice(-2)+':'+("00"+datum.getMinutes()).slice(-2));

    //aller 60 Sekunden zwischen Netzwerkinfos wechseln - Anzeige
    var vSwitch = getState('0_userdata.0.Diverses.Switch').val;
    setState('0_userdata.0.Diverses.Switch', vSwitch*-1);
});

schedule('*/30 * * * *', function SonnenTagDauer() {
    var st = getState('daswetter.0.NextDaysDetailed.Location_1.Day_1.sun_in').val;
    var stSplit = st.split(":");
    var dtStart = new Date(2022,11,11,parseInt(stSplit[0]),parseInt(stSplit[1]));//das Datum ist egal - wichtig nur die Zeit

    var st = getState('daswetter.0.NextDaysDetailed.Location_1.Day_1.sun_out').val;
    var stSplit = st.split(":");
    var dtEnd = new Date(2022,11,11,parseInt(stSplit[0]),parseInt(stSplit[1]));//das Datum ist egal - wichtig nur die Zeit

    var zeit=(dtEnd.getTime() - dtStart.getTime())/1000; 
    var stunden=Math.floor(zeit/3600); 
    var minuten=Math.floor((zeit-3600*stunden)/60);

    setState('0_userdata.0.Wetter.SonnenTagesDauer',(stunden*60) + minuten);

    var st = getState('daswetter.0.NextHours.Location_1.Day_1.sunshineDuration').val;
    setState('0_userdata.0.Wetter.SonnenDauer',Math.floor(st*60));
 });