createState('0_userdata.0.TopTankstellen.DS_Diesel', '0', {type: 'string', read: true, write: true});
createState('0_userdata.0.TopTankstellen.DS_Benzin', '0', {type: 'string', read: true, write: true});
createState('0_userdata.0.TopTankstellen.DS_E10', '0', {type: 'string', read: true, write: true});

function round(num) {
    var m = Number((Math.abs(num) * 100).toPrecision(15));
    return Math.round(m) / 100 * Math.sign(num);
}

function TankenDS(){
    var vDiesel = 0;
    var vBenzin = 0;
    var vE10 = 0;

    var vData = getObject("enum.functions.diesel_consumption").common.members;
    for(let i = 0; i < vData.length; i++) {
        var lValue = getState(vData[i]).val;
        vDiesel = vDiesel + lValue;
    }
    vDiesel = round(vDiesel/10);
    setState('0_userdata.0.TopTankstellen.DS_Diesel', vDiesel.toFixed(3));

    var vData = getObject("enum.functions.benzin_consumption").common.members;
    for(let i = 0; i < vData.length; i++) {
        var lValue = getState(vData[i]).val;
        vBenzin = vBenzin + lValue;
    }
    vBenzin = round(vBenzin/10);
    setState('0_userdata.0.TopTankstellen.DS_Benzin', vBenzin.toFixed(3));

    var vData = getObject("enum.functions.e10_consumption").common.members;
    for(let i = 0; i < vData.length; i++) {
        var lValue = getState(vData[i]).val;
        vE10 = vE10 + lValue;
    }
    vE10 = round(vE10/10);
    setState('0_userdata.0.TopTankstellen.DS_E10', vE10.toFixed(3));
}
 
$('state(functions=diesel_consumption)').on(function(obj) {
    TankenDS();
});
$('state(functions=benzin_consumption)').on(function(obj) {
    TankenDS();
});
$('state(functions=e10_consumption)').on(function(obj) {
    TankenDS();
});
TankenDS();