const CO2   = 'netatmo.0.63ac6778fe0c0b42e3004238.70-ee-50-90-c7-10.CO2.CO2';
const Noise = 'netatmo.0.63ac6778fe0c0b42e3004238.70-ee-50-90-c7-10.Noise.Noise';

const ValueCO2Farbe = "0_userdata.0.Raumklima.WZ.CO2Color";
const ValueCO2Text = "0_userdata.0.Raumklima.WZ.CO2Text";
const ValueNoiseFarbe = "0_userdata.0.Raumklima.WZ.NoiseColor";
const ValueNoiseText = "0_userdata.0.Raumklima.WZ.NoiseText";

createState(ValueCO2Farbe, '#00ff00', {type: 'string', read: true, write: true});
createState(ValueCO2Text, 'gut', {type: 'string', read: true, write: true});
createState(ValueNoiseFarbe, '#00ff00', {type: 'string', read: true, write: true});
createState(ValueNoiseText, 'gut', {type: 'string', read: true, write: true});

on(CO2, function(dp) {
    var sFarbe = '';
    var sText = '';
    var i = dp.state.val;

    if (i > 2250) {
      sFarbe = "#ff0000";
      sText = 'schlecht';
    } else if (i > 1700) {
      sFarbe = "#ff9900";
      sText = 'geht so';
    } else if (i > 1180) {
      sFarbe = "#ffff00";
      sText = 'akzeptabel';
    } else {
      sFarbe = "#00ff00";
      sText = 'gut';
    }
    setState(ValueCO2Farbe,sFarbe);
    setState(ValueCO2Text,sText);
});

on(Noise, function(dp) {
    var sFarbe = '';
    var sText = '';
    var i = dp.state.val;

    if (i > 95) {
      sFarbe = "#ff0000";
      sText = 'schlecht';
    } else if (i > 85) {
      sFarbe = "#ff9900";
      sText = 'geht so';
    } else if (i > 65) {
      sFarbe = "#ffff00";
      sText = 'akzeptabel';
    } else {
      sFarbe = "#00ff00";
      sText = 'gut';
    }
    setState(ValueNoiseFarbe,sFarbe);
    setState(ValueNoiseText,sText);
});
