// https://www.npmjs.com/package/qr-image

var MySSIDGuest     = "Soraya Gastzugang";           //  SSID Name
var MySSID24        = "Soraya";           //  SSID Name
var MySSID50        = "Soraya.5";           //  SSID Name

var MyCrypt         = "WPA2";                //  [WEP|WPA|WPA2]
var MyVisibility    = "n";                  //  Hidden SSID? 
var cronStr         = "3 1 * * *"           // Script wird jeden Tag um 03:01 Ausgeführt

var idQRZiel     = "0_userdata.0.FritzBox.QR-Code.Gast"; // Zieldatenpunkt für QR-Code
var IdGPasswd    = "tr-064.0.states.wlanGuestPassword"; /*wlanGuestPassword*/

var idQRZiel24 = "0_userdata.0.FritzBox.QR-Code.24"; // Zieldatenpunkt für QR-Code
var idQRZiel50 = "0_userdata.0.FritzBox.QR-Code.50"; // Zieldatenpunkt für QR-Code

if(MyVisibility == "y") {
   var MyHidden="H:true";
} else {
   MyHidden="";
} 

createState(idQRZiel, "", {
    read: true,
    write: true,
    name: 'QR-Code für Gastpasswort',
    desc: 'QR-Code für Gastpasswort',
    type: 'string',
    role: 'value'
});
createState(idQRZiel24, "", {
    read: true,
    write: true,
    name: 'QR-Code für 2,4GHz',
    desc: 'QR-Code für 2,4GHz',
    type: 'string',
    role: 'value'
});
createState(idQRZiel50, "", {
    read: true,
    write: true,
    name: 'QR-Code für 5GHz',
    desc: 'QR-Code für 5GHz',
    type: 'string',
    role: 'value'
});

function randomString(length) {         // Methode zur Erstellung eines Random-Passworts kann angepasst werden
   return Math.round((Math.pow(36, length + 1) - Math.random() * Math.pow(36, length))).toString(36).slice(1);
}

function createQRcodeGuest() {
   var qr = require('qr-image');
   var NewPasswd = randomString(16);       // 16 Stelliges Passwort
   var svg_string = qr.imageSync('WIFI:S:'+MySSIDGuest+';T:'+MyCrypt+';P:'+NewPasswd+';'+MyHidden+';', { type: 'svg' });
   setState(idQRZiel, svg_string);
   setState(IdGPasswd, NewPasswd);
}

function createQRcode() {
   var qr = require('qr-image');
   var NewPasswd = "e287efbab28cd637667dc0a423198f3d5a76493e97d";
   var svg_string = qr.imageSync('WIFI:S:'+MySSID24+';T:'+MyCrypt+';P:'+NewPasswd+';'+MyHidden+';', { type: 'svg' });
   setState(idQRZiel24, svg_string);

   var svg_string = qr.imageSync('WIFI:S:'+MySSID50+';T:'+MyCrypt+';P:'+NewPasswd+';'+MyHidden+';', { type: 'svg' });
   setState(idQRZiel50, svg_string);
}

createQRcodeGuest();
createQRcode();

// regelmässige Wiederholungen
schedule(cronStr, createQRcodeGuest);