const MC_System_Aktiv = '0_userdata.0.Ping.MyCloudEX2Ultra';
const Raumtemperatur = 'fritzdect.0.DECT_087610465893.celsius';//alternative für Festplatte wenn Gerät aus/
const SWAP_Total = '0_userdata.0.SNMP.192_168_10_7.SWAP_Gesamt';
const SWAP_Frei = '0_userdata.0.SNMP.192_168_10_7.SWAP_Verfügbar';
const RAM_Total = '0_userdata.0.SNMP.192_168_10_7.RAM_Total';
const RAM_Used = '0_userdata.0.SNMP.192_168_10_7.RAM_Nutzung_Used';
const RAM_Cache = '0_userdata.0.SNMP.192_168_10_7.RAM_Nutzung_Cache';
const RAM_Buffer = '0_userdata.0.SNMP.192_168_10_7.RAM_Nutzung_Buffer';
const Temperatur_CPU = '0_userdata.0.SNMP.192_168_10_7.Temperatur';
const Temperatur_L1 = '0_userdata.0.SNMP.192_168_10_7.L1_Temperatur';
const Temperatur_L2 = '0_userdata.0.SNMP.192_168_10_7.L2_Temperatur';
const FAN = '0_userdata.0.SNMP.192_168_10_7.Lüfter';
const L1_Total = '0_userdata.0.SNMP.192_168_10_7.L1_Gesamt';
const L1_Frei = '0_userdata.0.SNMP.192_168_10_7.L1_Free';
const L2_Total = '0_userdata.0.SNMP.192_168_10_7.L2_Gesamt';
const L2_Frei = '0_userdata.0.SNMP.192_168_10_7.L2_Free';
const CPU1 = '0_userdata.0.SNMP.192_168_10_7.CPU-1';
const CPU5 = '0_userdata.0.SNMP.192_168_10_7.CPU-5';
const CPU15 = '0_userdata.0.SNMP.192_168_10_7.CPU-15';
const Net_IN = '0_userdata.0.SNMP.192_168_10_7.Net_In';
const Net_OUT = '0_userdata.0.SNMP.192_168_10_7.Net_Out';

var vSystem_Aktiv = getState(MC_System_Aktiv).val;
var vRaumtemperatur = getState(Raumtemperatur).val;
var vSWAP_Total = getState(SWAP_Total).val;
var vSWAP_Frei = getState(SWAP_Frei).val;
var vRAM_Total = getState(RAM_Total).val;
var vRAM_Used = getState(RAM_Used).val;
var vRAM_Cache = getState(RAM_Cache).val;
var vRAM_Buffer = getState(RAM_Buffer).val;
var vTemperatur_CPU = getState(Temperatur_CPU).val;
var vTemperatur_L1 = getState(Temperatur_L1).val;
var vTemperatur_L2 = getState(Temperatur_L2).val;
var vFAN = getState(FAN).val;
var vL1_Total = getState(L1_Total).val;
var vL1_Frei = getState(L1_Frei).val;
var vL2_Total = getState(L2_Total).val;
var vL2_Frei = getState(L2_Frei).val;
var vCPU1 = getState(CPU1).val;
var vCPU5 = getState(CPU5).val;
var vCPU15 = getState(CPU15).val;
var vNet_IN = getState(Net_IN).val;
var vNet_OUT = getState(Net_OUT).val;

// Datenpunkt für Summe erzeugen
const SWAP_Genutzt = '0_userdata.0.MyCloudEX2Ultra.SWAP_Genutzt';
const RAM_Genutzt = '0_userdata.0.MyCloudEX2Ultra.RAM_Genutzt';
const Temp_CPU = '0_userdata.0.MyCloudEX2Ultra.Temperatur_CPU';
const Temp_L1 = '0_userdata.0.MyCloudEX2Ultra.Temperatur_L1';
const Temp_L2 = '0_userdata.0.MyCloudEX2Ultra.Temperatur_L2';
const StatusFAN = '0_userdata.0.MyCloudEX2Ultra.Lüfter';
const L1_Speicher_Total = '0_userdata.0.MyCloudEX2Ultra.L1_Speicher_Total';
const L2_Speicher_Total = '0_userdata.0.MyCloudEX2Ultra.L2_Speicher_Total';
const L1_Speicher_Genutzt = '0_userdata.0.MyCloudEX2Ultra.L1_Speicher_Genutzt';
const L2_Speicher_Genutzt = '0_userdata.0.MyCloudEX2Ultra.L2_Speicher_Genutzt';
const CPU1_Auslastung = '0_userdata.0.MyCloudEX2Ultra.CPU1';
const CPU5_Auslastung = '0_userdata.0.MyCloudEX2Ultra.CPU5';
const CPU15_Auslastung = '0_userdata.0.MyCloudEX2Ultra.CPU15';

const MC_In_Summe = '0_userdata.0.MyCloudEX2Ultra.Network.In_Summe';
const MC_Out_Summe = '0_userdata.0.MyCloudEX2Ultra.Network.Out_Summe';
const MC_In_Speed = '0_userdata.0.MyCloudEX2Ultra.Network.In_Speed';
const MC_Out_Speed = '0_userdata.0.MyCloudEX2Ultra.Network.Out_Speed';

createState(SWAP_Genutzt, 0, {type: 'number', unit: 'KB', read: true, write: true});
createState(RAM_Genutzt, 0, {type: 'number', unit: 'KB', read: true, write: true});
createState(Temp_CPU, 0, {type: 'number', unit: '°C', read: true, write: true});
createState(Temp_L1, 0, {type: 'number', unit: '°C', read: true, write: true});
createState(Temp_L2, 0, {type: 'number', unit: '°C', read: true, write: true});
createState(StatusFAN, false, {type: 'boolean', read: true, write: true});
createState(L1_Speicher_Total, 0, {type: 'number', unit: 'GB', read: true, write: true});
createState(L1_Speicher_Genutzt, 0, {type: 'number', unit: 'GB', read: true, write: true});
createState(L2_Speicher_Total, 0, {type: 'number', unit: 'GB', read: true, write: true});
createState(L2_Speicher_Genutzt, 0, {type: 'number', unit: 'GB', read: true, write: true});
createState('0_userdata.0.MyCloudEX2Ultra.Num_Core', 4, {type: 'number', read: true, write: true});
createState(CPU1_Auslastung, 0, {type: 'number', read: true, write: true});
createState(CPU5_Auslastung, 0, {type: 'number', read: true, write: true});
createState(CPU15_Auslastung, 0, {type: 'number', read: true, write: true});

createState(MC_In_Summe, 0, {type: 'string', unit: 'MB', read: true, write: true});
createState(MC_Out_Summe, 0, {type: 'string', unit: 'MB', read: true, write: true});
createState(MC_In_Speed, 0, {type: 'string', unit: 'MBit/s', read: true, write: true});
createState(MC_Out_Speed, 0, {type: 'string', unit: 'MBit/s', read: true, write: true});

var IN_NEW = 0;
var OUT_NEW = 0;
var IN_OLD = 0;
var OUT_OLD = 0;
var IN_DIFF = 0;
var OUT_DIFF = 0;
var IN_SUM = 0;
var OUT_SUM = 0;

function round(num) {
    var m = Number((Math.abs(num) * 100).toPrecision(15));
    var t = Math.round(m) / 100 * Math.sign(num);
    return t.toFixed(2).replace('.', ',').replace(/(\d)(?=(\d{3})+(?!\d))/g, '$1.');
}

function Netzwerk() {
    if(vSystem_Aktiv === true) {
        IN_OLD=IN_NEW;
        OUT_OLD=OUT_NEW;
        IN_NEW=getState(Net_IN).val*1;
        OUT_NEW=getState(Net_OUT).val*1;

        IN_DIFF=IN_NEW-IN_OLD;
        if (IN_DIFF < 0) {
            //IN_DIFF=IN_DIFF*-1;
            IN_DIFF=(4294967295-IN_OLD)+IN_NEW;
        }
        IN_SUM=IN_SUM+IN_DIFF;

        OUT_DIFF=OUT_NEW-OUT_OLD;
        if (OUT_DIFF < 0) {
            //OUT_DIFF=OUT_DIFF*-1;
            OUT_DIFF=(4294967295-OUT_OLD)+OUT_NEW;
        }
        OUT_SUM=OUT_SUM+OUT_DIFF;
        setState(MC_In_Summe, round(IN_SUM/1024/1024), true);
        setState(MC_Out_Summe, round(OUT_SUM/1024/1024), true);
        setState(MC_In_Speed, round((IN_DIFF/1024/1024)*8/5.5), true);
        setState(MC_Out_Speed, round((OUT_DIFF/1024/1024)*8/5.5), true);
    } else {
        IN_NEW = 0;
        OUT_NEW = 0;
        IN_OLD = 0;
        OUT_OLD = 0;
        IN_DIFF = 0;
        OUT_DIFF = 0;
        IN_SUM = 0;
        OUT_SUM = 0;
        vNet_IN = 0;
        vNet_OUT = 0;
        setState(MC_In_Summe, '0', true);
        setState(MC_Out_Summe, '0', true);
        setState(MC_In_Speed, '0,00', true);
        setState(MC_Out_Speed, '0,00', true);
        setState('0_userdata.0.SNMP.192_168_10_7.Net_In', 0, true);
        setState('0_userdata.0.SNMP.192_168_10_7.Net_Out', 0, true);
    }
}
//setTimeout(Netzwerk, 200);

function CPU() {
    if(vSystem_Aktiv === true) {
        setState(CPU1_Auslastung, vCPU1*1, true);
        setState(CPU5_Auslastung, vCPU5*1, true);
        setState(CPU15_Auslastung, vCPU15*1, true);
    } else {
        setState(CPU1_Auslastung, 0, true);
        setState(CPU5_Auslastung, 0, true);
        setState(CPU15_Auslastung, 0, true);
    }
}

function Festplatten() {
    var input = vL1_Total;
    var dummy = input.split(' ');
    var wertL1 = dummy[0];
    setState(L1_Speicher_Total, Math.round(parseFloat(wertL1)/1.024), true);

    var input = vL2_Total;
    var dummy = input.split(' ');
    var wertL2 = dummy[0];
    setState(L2_Speicher_Total, Math.round(parseFloat(wertL2)/1.024), true);

    var input1 = vL1_Frei;
    var dummy1 = input1.substr(input1.length - 1);
    if(String(dummy1) === "T") {
        var dummy1 = input1.split('T');
        var wert1 = dummy1[0];
        wert1 = wert1 * 1000;
    } else {
        var dummy1 = input1.split('G');
        var wert1 = dummy1[0];
    }
    setState(L1_Speicher_Genutzt, Math.round((wertL1 - wert1)/1.119402985074627), true);

    var input2 = vL2_Frei;
    var dummy2 = input2.substr(input2.length - 1);
    if(String(dummy2) === "T") {
        var dummy2 = input2.split('T');
        var wert2 = dummy2[0];
        wert2 = wert2 * 1000;
    } else {
        var dummy2 = input2.split('G');
        var wert2 = dummy2[0];
    }
    setState(L2_Speicher_Genutzt, Math.round((wertL2 - wert2)/1.119402985074627), true);
}

function FAN_Status() {
    var bFAN = false;
    if(vSystem_Aktiv === true) {
        var laenge = vFAN.length;
        if(laenge < 15) {
            bFAN = false;
        } else {
            bFAN = true;
        }
    } else {
        bFAN = false;
    }
    setState(StatusFAN, bFAN, true);
}

function Temperatur() {
    if(vSystem_Aktiv === true) {
        var input = vTemperatur_CPU;
        var dummy = input.split(':');
        var wert = dummy[1];
        var input = wert;
        var dummy = input.split(' ');
        var wert = dummy[0];
        setState(Temp_CPU, parseFloat(wert), true);

        var input = vTemperatur_L1;
        var dummy = input.split(':');
        var wert = dummy[1];
        setState(Temp_L1, parseFloat(wert), true);

        var input = vTemperatur_L2;
        var dummy = input.split(':');
        var wert = dummy[1];
        setState(Temp_L2, parseFloat(wert), true);
    } else {
        var vRaumtemperatur = getState(Raumtemperatur).val;
        setState(Temp_CPU, Math.round(vRaumtemperatur), true);
        setState(Temp_L1, Math.round(vRaumtemperatur), true);
        setState(Temp_L2, Math.round(vRaumtemperatur), true);
    }
}

function SWAP() {
    if(vSystem_Aktiv === true) {
        setState(SWAP_Genutzt, vSWAP_Total*1 - vSWAP_Frei*1, true);
    } else {
        setState(SWAP_Genutzt, 0, true);
    }
}

function RAM() {
    if(vSystem_Aktiv === true) {
        setState(RAM_Genutzt, vRAM_Total*1 - (vRAM_Used*1 + vRAM_Cache*1 + vRAM_Buffer*1), true);
    } else {
        setState(RAM_Genutzt, 0, true);
    }
}

on(SWAP_Frei, function(dp) {
   vSWAP_Frei = dp.state.val;
   SWAP();
});

on(RAM_Used, function(dp) {
   vRAM_Used = dp.state.val;
   RAM();
});
on(RAM_Cache, function(dp) {
   vRAM_Cache = dp.state.val;
   RAM();
});
on(RAM_Buffer, function(dp) {
   vRAM_Buffer = dp.state.val;
   RAM();
});
on(Temperatur_CPU, function(dp) {
   vTemperatur_CPU = dp.state.val;
   Temperatur();
});
on(Temperatur_L1, function(dp) {
   vTemperatur_L1 = dp.state.val;
   Temperatur();
});
on(Temperatur_L2, function(dp) {
   vTemperatur_L2 = dp.state.val;
   Temperatur();
});
on(FAN, function(dp) {
   vFAN = dp.state.val;
   FAN_Status();
});
on(L1_Frei, function(dp) {
   vL1_Frei = dp.state.val;
   Festplatten();
});
on(L2_Frei, function(dp) {
   vL2_Frei = dp.state.val;
   Festplatten();
});
on(CPU1, function(dp) {
   vCPU1 = dp.state.val;
   CPU();
});
on(CPU5, function(dp) {
   vCPU5 = dp.state.val;
   CPU();
});
on(CPU15, function(dp) {
   vCPU15 = dp.state.val;
   CPU();
});
on(MC_System_Aktiv, function(dp) {
   vSystem_Aktiv = dp.state.val;
   CPU();
   FAN_Status();
   Temperatur();
   RAM();
   SWAP();
   Netzwerk();
});
on(Raumtemperatur, function(dp) {
   vRaumtemperatur = dp.state.val;
   Temperatur();
});

schedule('*/5 * * * * *', function MyCloudNet() {
   Netzwerk();
});

schedule('* * * * *', function MyCloudTemperatur() {
   Temperatur();
});
