const MTempSchalterWZ = '0_userdata.0.Booster_301_WZ.TempSchalter';
const MTempSchalterKZ = '0_userdata.0.Booster_301_KZ.TempSchalter';

const SollTempWZ = 'fritzdect.0.DECT_099950189150.tsoll';
const SollTempKZ = 'fritzdect.0.DECT_099950330172.tsoll';

createState(MTempSchalterWZ, 0, {type: 'number', read: true, write: true});
createState(MTempSchalterKZ, 0, {type: 'number', read: true, write: true});

on(MTempSchalterWZ, function(dp) {
    var oldT = getState(SollTempWZ).val;
    if (dp.state.val == 1) {
        //Minus
        if (oldT > 15) {
            oldT = oldT - 0.5;
            setState(SollTempWZ,oldT);
            setState(MTempSchalterWZ,0);
        }
    } else if (dp.state.val == 2) {
        //Plus
        if (oldT < 28) {
            oldT = oldT + 0.5;
            setState(SollTempWZ,oldT);
            setState(MTempSchalterWZ,0);
        }
    }
});

on(MTempSchalterKZ, function(dp) {
    var oldT = getState(SollTempKZ).val;
    if (dp.state.val == 1) {
        //Minus
        if (oldT > 15) {
            oldT = oldT - 0.5;
            setState(SollTempKZ,oldT);
            setState(MTempSchalterKZ,0);
        }
    } else if (dp.state.val == 2) {
        //Plus
        if (oldT < 28) {
            oldT = oldT + 0.5;
            setState(SollTempKZ,oldT);
            setState(MTempSchalterKZ,0);
        }
    }
});
