createState('0_userdata.0.calendar.mini', "[]", {
  read: true, 
  write: true, 
  desc: "JSON String for Table-Widget", 
  type: "string", 
  def: "[]"
});

const moment = require("moment");

schedule('*/5 * * * *', function Aktualisierung() {
    var instances = $(`[id=ical.0.data.table]`);
    instances.on(ical2CalendarWidget);
    function ical2CalendarWidget() {
        var Master='';
        try {
            //let calList = [];

            for (var inst = 0; inst <= instances.length - 1; inst++) {
                let icalObj = getState(instances[inst]).val;
                let CDS=icalObj.length;

                if (icalObj) {
                    for (var i = 0; i <= CDS - 1; i++) {
                        let item = icalObj[i];
                        let startTime = moment(item._date);
                        let endTime = moment(item._end);
                        
                        let start = startTime.format("DD.MM.YYYY HH:mm");
                        let end = endTime.format("HH:mm");

                        if (startTime.format('HH:mm') === '00:00' && endTime.format('HH:mm') === '00:00') {
                            // is full-day event
                            if (endTime.diff(startTime, 'hours') === 24) {
                                // full-day event, one day
                                start = startTime.format("DD.MM.YYYY");
                                end = startTime.format("DD.MM.YYYY");
                            } else {
                                // full-day event, multiple days
                                start = startTime.format("DD.MM.YYYY");
                                end = endTime.format("DD.MM.YYYY");
                            }
                        }
                        var Bild='';
                        var Zeit=start + ' - ' + end;
                        var Inhaber=item._class;
                        Inhaber=Inhaber.replace('ical_','').replace('ical_tomorrow','').replace('ical_dayafter','').replace('ical_3days','').replace('ical_4days','').replace('ical_5days','').replace('ical_6days','').replace('ical_oneweek','');
                        var Ort=item.location;
                        var Ereignis=item.event;
                        
                        if (Inhaber.includes('Loreen')===true) {
                            Bild = "/vis.0/Mama.png";
                        }
                        if (Inhaber.includes('Ronny')===true) {
                            Bild = "/vis.0/Papa.png";
                        }
                        if (Inhaber.includes('Yasu')===true) {
                            Bild = "/vis.0/Kind2.png";
                        }


                        var Beschreibung='';
                        if(typeof item._section === 'undefined') {
                            Beschreibung='';
                        } else {
                            Beschreibung=item._section;
                        }
                        if (Beschreibung) {
                            Ereignis=Ereignis + ': ' + Beschreibung;
                        }
                        //console.log(Bild +' '+ Zeit + ' ' + Ort + ' ' + Ereignis);


                        if (i < 1 ) {
                            Master='[{"img": "'+Bild+'","zeit": "'+Zeit+'","ereignis": "'+Ereignis+'","ort": "'+Ort+'"}';
                        } else {
                            Master=Master+', {"img": "'+Bild+'","zeit": "'+Zeit+'","ereignis": "'+Ereignis+'","ort": "'+Ort+'"}';
                        }
                    }
                }
            }
            Master=Master+']';
            setState('0_userdata.0.calendar.mini', Master, true);
        } catch (e) {
            console.error(`ical2MaterialDesignCalendarWidget: message: ${e.message}, stack: ${e.stack}`);
        }
    }
    ical2CalendarWidget();
});

