createState('0_userdata.0.calendar.mini_finanzen', "[]", {
  read: true, 
  write: true, 
  desc: "JSON String for Table-Widget", 
  type: "string", 
  def: "[]"
});

const moment = require("moment");

schedule('{"time":{"exactTime":true,"start":"00:05"},"period":{"days":1}}', function Aktualisierung() {
    var instances = $(`[id=ical.2.data.table]`);
    instances.on(ical2CalendarWidget);
    function ical2CalendarWidget() {
        var Master='';
        try {
            //let calList = [];

            for (var inst = 0; inst <= instances.length - 1; inst++) {
                let icalObj = getState(instances[inst]).val;
                let CDS=icalObj.length;
                if (icalObj) {
                    for (var i = 0; i <= CDS - 1; i++) {
                        let item = icalObj[i];
                        let startTime = moment(item._date);
                        let endTime = moment(item._end);
                        
                        let start = startTime.format("DD.MM.YYYY HH:mm");
                        let end = endTime.format("HH:mm");

                        if (startTime.format('HH:mm') === '00:00' && endTime.format('HH:mm') === '00:00') {
                            // is full-day event
                            if (endTime.diff(startTime, 'hours') === 24) {
                                // full-day event, one day
                                start = startTime.format("DD.MM.YYYY");
                                end = startTime.format("DD.MM.YYYY");
                            } else {
                                // full-day event, multiple days
                                start = startTime.format("DD.MM.YYYY");
                                end = endTime.format("DD.MM.YYYY");
                            }
                        }
                        var Zeit=start;
                        var Ereignis=item.event;
                        var Kosten=item._section;
                        
                        //console.log(Zeit +' '+ Ereignis + ' ' + Kosten);


                        if (i < 1 ) {
                            Master='[{"zeit": "'+Zeit+'","ereignis": "'+Ereignis+'","kosten": "'+Kosten+'"}';
                        } else {
                            Master=Master+', {"zeit": "'+Zeit+'","ereignis": "'+Ereignis+'","kosten": "'+Kosten+'"}';
                        }
                    }
                }
            }
            Master=Master+']';
            setState('0_userdata.0.calendar.mini_finanzen', Master, true);
        } catch (e) {
            console.error(`ical2MaterialDesignCalendarWidget: message: ${e.message}, stack: ${e.stack}`);
        }
    }
    ical2CalendarWidget();
});

