createState('0_userdata.0.calendar.mini_stundenplan', "[]", {
  read: true, 
  write: true, 
  desc: "JSON String for Table-Widget", 
  type: "string", 
  def: "[]"
});

const moment = require("moment");

schedule('*/5 * * * *', function Aktualisierung() {
    var instances = $(`[id=ical.1.data.table]`);
    instances.on(ical2CalendarWidget);
    function ical2CalendarWidget() {
        var Master='';
        try {
            //let calList = [];

            for (var inst = 0; inst <= instances.length - 1; inst++) {
                let icalObj = getState(instances[inst]).val;
                let CDS=icalObj.length;

                if (icalObj) {
                    for (var i = 0; i <= CDS - 1; i++) {
                        let item = icalObj[i];
                        let startTime = moment(item._date);
                        let endTime = moment(item._end);
                        
                        let start = startTime.format("DD.MM.YYYY HH:mm");
                        let end = endTime.format("HH:mm");

                        if (startTime.format('HH:mm') === '00:00' && endTime.format('HH:mm') === '00:00') {
                            // is full-day event
                            if (endTime.diff(startTime, 'hours') === 24) {
                                // full-day event, one day
                                start = startTime.format("DD.MM.YYYY");
                                end = startTime.format("DD.MM.YYYY");
                            } else {
                                // full-day event, multiple days
                                start = startTime.format("DD.MM.YYYY");
                                end = endTime.format("DD.MM.YYYY");
                            }
                        }
                        var Bild='';
                        var Zeit=start + ' - ' + end;
                        var Ereignis=item.event;
                        Ereignis=Ereignis.replace('. Geo','. Geographie').replace('. Eng','. Englisch').replace('. TC','. Technik/Computer').replace('. Ku','. Kunst').replace('. Eth','. Ethik').replace('. KL','. Klassenleiterstunde').replace('. Sp','. Sport').replace('. Ma','. Mathematik').replace('. Ge','. Geschichte').replace('. D','. Deutsch').replace('. Mu','. Musik').replace('. Bio','. Biologie').replace('. Meth','. Methodik');
                        
                        if (Ereignis.includes('Bus ')===true) {
                            Bild = "/vis.0/schule/bus.png";
                        }
                        if (Ereignis.includes('Einlass')===true) {
                            Bild = "/vis.0/schule/einlass.png";
                        }
                        if (Ereignis.includes('Geschichte')===true) {
                            Bild = "/vis.0/schule/geschichte.png";
                        }
                        if (Ereignis.includes('Englisch')===true) {
                            Bild = "/vis.0/schule/englisch.png";
                        }
                        if (Ereignis.includes('Technik/Computer')===true) {
                            Bild = "/vis.0/schule/informatik.png";
                        }
                        if (Ereignis.includes('Kunst')===true) {
                            Bild = "/vis.0/schule/kunst.png";
                        }
                        if (Ereignis.includes('Ethik')===true) {
                            Bild = "/vis.0/schule/religion.png";
                        }
                        if (Ereignis.includes('Klassenleiter')===true) {
                            Bild = "/vis.0/schule/klassenleiter.png";
                        }
                        if (Ereignis.includes('Sport')===true) {
                            Bild = "/vis.0/schule/sport.png";
                        }
                        if (Ereignis.includes('Mathematik')===true) {
                            Bild = "/vis.0/schule/mathematik.png";
                        }
                        if (Ereignis.includes('Geographie')===true) {
                            Bild = "/vis.0/schule/geographie.png";
                        }
                        if (Ereignis.includes('Deutsch')===true) {
                            Bild = "/vis.0/schule/deutsch.png";
                        }
                        if (Ereignis.includes('Musik')===true) {
                            Bild = "/vis.0/schule/musik.png";
                        }
                        if (Ereignis.includes('Biologie')===true) {
                            Bild = "/vis.0/schule/biologie.png";
                        }
                        if (Ereignis.includes('Frei')===true) {
                            Bild = "/vis.0/leer.png";
                        }
                        if (Ereignis.includes('Methodik')===true) {
                            Bild = "/vis.0/schule/methodik.png";
                        }
                        if (Ereignis.includes('Chemie')===true) {
                            Bild = "/vis.0/schule/chemie.png";
                        }
                        if (Ereignis.includes('Physik')===true) {
                            Bild = "/vis.0/schule/physik.png";
                        }
                        //console.log(Bild +' '+ Zeit + ' ' + Ereignis);


                        if (i < 1 ) {
                            Master='[{"img": "'+Bild+'","zeit": "'+Zeit+'","ereignis": "'+Ereignis+'"}';
                        } else {
                            Master=Master+', {"img": "'+Bild+'","zeit": "'+Zeit+'","ereignis": "'+Ereignis+'"}';
                        }
                    }
                }
            }
            Master=Master+']';
            setState('0_userdata.0.calendar.mini_stundenplan', Master, true);
        } catch (e) {
            console.error(`ical2MaterialDesignCalendarWidget: message: ${e.message}, stack: ${e.stack}`);
        }
    }
    ical2CalendarWidget();
});

