function round(num) {
    var m = Number((Math.abs(num) * 100).toPrecision(15));
    return Math.round(m) / 100 * Math.sign(num);
}

function DeviceVerbrauchOld(){
    var vData = getObject("enum.functions.energy_consumption").common.members;
    for(let i = 0; i < vData.length; i++) {
        var lValue = getState(vData[i]).val;
        var dp = vData[i].split('_');
        dp = dp[1].split('.');
        
        if (!existsState('0_userdata.0.Energy.DeviceStatistik.old.'+dp[0])) {
        	createState('0_userdata.0.Energy.DeviceStatistik.old.'+dp[0], round(lValue/1000), {type: 'number', name: getObject('fritzdect.0.'+vData[i].split('.')[2]).common.name, unit: 'kWh', read: true, write: true});
        }
        setState('0_userdata.0.Energy.DeviceStatistik.old.'+dp[0], round(lValue/1000), true);
    }
    vData = null;
    lValue = null;
    dp = null;
}

function DeviceVerbrauchTag(){
    var vData = getObject("enum.functions.energy_consumption").common.members;
    for(let i = 0; i < vData.length; i++) {
        var lValue = getState(vData[i]).val;
        var dp = vData[i].split('_');
        dp = dp[1].split('.');

        if (!existsState('0_userdata.0.Energy.DeviceStatistik.Tag.'+dp[0])) {
        	createState('0_userdata.0.Energy.DeviceStatistik.old.'+dp[0], round(lValue/1000), {type: 'number', name: getObject('fritzdect.0.'+vData[i].split('.')[2]).common.name, unit: 'kWh', read: true, write: true});
            DeviceVerbrauchOld();
        	createState('0_userdata.0.Energy.DeviceStatistik.Tag.'+dp[0], round((lValue/1000)-getState('0_userdata.0.Energy.DeviceStatistik.old.'+dp[0]).val), {type: 'number', name: getObject('fritzdect.0.'+vData[i].split('.')[2]).common.name, unit: 'kWh', read: true, write: true});
        }
        setState('0_userdata.0.Energy.DeviceStatistik.Tag.'+dp[0], round((lValue/1000)-getState('0_userdata.0.Energy.DeviceStatistik.old.'+dp[0]).val), true);
    }
    vData = null;
    lValue = null;
    dp = null;
}

schedule('59 23 * * *', function DeviceLastStand() {
    DeviceVerbrauchOld();
});

$('state(functions=energy_consumption)').on(function(obj) {
    DeviceVerbrauchTag();
});
