createState('0_userdata.0.Energy.ALL.Amper', 0, {type: 'number', unit: 'A', read: true, write: true});
createState('0_userdata.0.Energy.ALL.Volt', 0, {type: 'number', unit: 'V', read: true, write: true});
createState('0_userdata.0.Energy.ALL.Watt', 0, {type: 'number', unit: 'W', read: true, write: true});

function round(num) {
    var m = Number((Math.abs(num) * 100).toPrecision(15));
    return Math.round(m) / 100 * Math.sign(num);
}

function countSteckdosenLeistung(){
    var Watt = 0;
    var Volt = 0;
    var Ampere = 0;

    var vData = getObject("enum.functions.leistung_consumption").common.members;
    for(let i = 0; i < vData.length; i++) {
        var lValue = getState(vData[i]).val;
        Watt = Watt + lValue;
    }
    lValue = null;
    vData = null;

    var vData = getObject("enum.functions.volt_consumption").common.members;
    for(let i = 0; i < vData.length; i++) {
        var lValue = getState(vData[i]).val;
        Volt = Volt + lValue;
    }
    lValue = null;
    vData = null;
    Volt = Volt/9;

    var vDataW = getObject("enum.functions.leistung_consumption").common.members;
    var vDataV = getObject("enum.functions.volt_consumption").common.members;
    for(let i = 0; i < vDataW.length; i++) {
        var lValueW = getState(vDataW[i]).val;
        var lValueV = getState(vDataV[i]).val;
        Ampere = Ampere + round(lValueW/lValueV);

        var dp = vDataW[i].split('_');
        dp = dp[1].split('.');

        if (!existsState('0_userdata.0.Energy.Amper.'+dp[0])) {
        	createState('0_userdata.0.Energy.Amper.'+dp[0], round(lValueW/lValueV), {type: 'number', name: getObject('fritzdect.0.'+vDataW[i].split('.')[2]).common.name, unit: 'A', read: true, write: true});
        }
        setState('0_userdata.0.Energy.Amper.'+dp[0], round(lValueW/lValueV), true);

        lValueW = null;
        lValueV = null;
        dp = null;
    }
    setState('0_userdata.0.Energy.ALL.Amper', Ampere, true);
    setState('0_userdata.0.Energy.ALL.Volt', round(Volt), true);
    setState('0_userdata.0.Energy.ALL.Watt', round(Watt), true);

    Ampere = null;
    Volt = null;
    Watt = null;
    vDataV = null;
    vDataW = null;
}
 
$('state(functions=leistung_consumption)').on(function(obj) {
    countSteckdosenLeistung();
});
$('state(functions=volt_consumption)').on(function(obj) {
    countSteckdosenLeistung();
});

countSteckdosenLeistung();