createState('0_userdata.0.Diverses.MySQLCleaner', 1, {type: 'number', read: true, write: true});

schedule('*/60 * * * *', function MySQLClean() {
    if (getState('0_userdata.0.Diverses.MySQLCleaner').val == 1) {
        var currentDateObj = new Date();
        var numberOfMlSeconds = currentDateObj.getTime();
        var addMlSeconds = 65 * 60000;
        var newDateObj = new Date(numberOfMlSeconds - addMlSeconds);

        sendTo('sql.0', 'deleteRange', [{id: '0_userdata.0.FritzBox.Charts.Receive', start: '2023-01-01T00:00:00.000Z', end: newDateObj.toISOString()}]);
        sendTo('sql.0', 'deleteRange', [{id: '0_userdata.0.FritzBox.Charts.Send', start: '2023-01-01T00:00:00.000Z', end: newDateObj.toISOString()}]);

        sendTo('sql.0', 'deleteRange', [{id: 'fritzdect.0.DECT_087610464655.power', start: '2023-01-01T00:00:00.000Z', end: newDateObj.toISOString()}]);
        sendTo('sql.0', 'deleteRange', [{id: 'fritzdect.0.DECT_087610465893.power', start: '2023-01-01T00:00:00.000Z', end: newDateObj.toISOString()}]);
        sendTo('sql.0', 'deleteRange', [{id: 'fritzdect.0.DECT_087610482188.power', start: '2023-01-01T00:00:00.000Z', end: newDateObj.toISOString()}]);
        sendTo('sql.0', 'deleteRange', [{id: 'fritzdect.0.DECT_087610517354.power', start: '2023-01-01T00:00:00.000Z', end: newDateObj.toISOString()}]);
        sendTo('sql.0', 'deleteRange', [{id: 'fritzdect.0.DECT_116300042978.power', start: '2023-01-01T00:00:00.000Z', end: newDateObj.toISOString()}]);
        sendTo('sql.0', 'deleteRange', [{id: 'fritzdect.0.DECT_116300052609.power', start: '2023-01-01T00:00:00.000Z', end: newDateObj.toISOString()}]);
        sendTo('sql.0', 'deleteRange', [{id: 'fritzdect.0.DECT_116300299458.power', start: '2023-01-01T00:00:00.000Z', end: newDateObj.toISOString()}]);
        sendTo('sql.0', 'deleteRange', [{id: 'fritzdect.0.DECT_116300299459.power', start: '2023-01-01T00:00:00.000Z', end: newDateObj.toISOString()}]);
        sendTo('sql.0', 'deleteRange', [{id: 'fritzdect.0.DECT_116300299460.power', start: '2023-01-01T00:00:00.000Z', end: newDateObj.toISOString()}]);

        sendTo('sql.0', 'deleteRange', [{id: '0_userdata.0.RPI.Temperatur', start: '2023-01-01T00:00:00.000Z', end: newDateObj.toISOString()}]);
        sendTo('sql.0', 'deleteRange', [{id: '0_userdata.0.RPI.Temperatur_Core0', start: '2023-01-01T00:00:00.000Z', end: newDateObj.toISOString()}]);
        sendTo('sql.0', 'deleteRange', [{id: '0_userdata.0.MyCloudEX2Ultra.Temperatur_CPU', start: '2023-01-01T00:00:00.000Z', end: newDateObj.toISOString()}]);


        var currentDateObj = new Date();
        var numberOfMlSeconds = currentDateObj.getTime();
        var addMlSeconds = 26 * 60 * 60000;
        var newDateObj = new Date(numberOfMlSeconds - addMlSeconds);

        for (let i = 0; i <= 9; i++) {
            sendTo('sql.0', 'deleteRange', [{id: 'tankerkoenig.0.stations.'+i+'.diesel.feed', start: '2023-01-01T00:00:00.000Z', end: newDateObj.toISOString()}]);
            sendTo('sql.0', 'deleteRange', [{id: 'tankerkoenig.0.stations.'+i+'.e10.feed', start: '2023-01-01T00:00:00.000Z', end: newDateObj.toISOString()}]);
            sendTo('sql.0', 'deleteRange', [{id: 'tankerkoenig.0.stations.'+i+'.e5.feed', start: '2023-01-01T00:00:00.000Z', end: newDateObj.toISOString()}]);
        }
        //sendTo('sql.0', 'deleteRange', [{id: '0_userdata.0.FritzBox.Charts.Receive', start: '2023-01-01T00:00:00.000Z', end: newDateObj.toISOString()}], result => {log(result)});
    }
});