createState('0_userdata.0.Diverses.Liste_Geraete_Status', "[]", {
  read: true, 
  write: true, 
  desc: "JSON String for Widget", 
  type: "string", 
  def: "[]"
});

var bBatterie = false;
var bTemperatur = false;
var bHueConnect = false;
var MasterJSon = '';

function BatterieMeldung(){
    var bGeraeteListe = '';
    var vData = getObject("enum.functions.batteriestand").common.members;
    for(let i = 0; i < vData.length; i++) {
        var a = getObject(vData[i])._id;
        var b = a.split('.');

        if (a.includes('DECT') === true) {
            var Geraet = getObject('fritzdect.0.'+b[2]).common.name;
        } else if (a.includes('hue') === true) {
            var Geraet = getObject('hue.0.'+b[2]).common.name;
        } else {
            var Geraet = b[0];
        }
        Geraet = Geraet.replace('FRITZ!DECT 440', 'Taster');

        if (getState(vData[i]).val <= 20) {
            bBatterie = false;
            if (bGeraeteListe.length == 0) {
                bGeraeteListe = Geraet;
            } else {
                bGeraeteListe = bGeraeteListe + ', ' + Geraet;
            }
        } else {
            bBatterie = true;
        }
    }
    if (bBatterie === true) {
        MasterJSon='[{"col_1": "Batterie","col_2": "keine Probleme vorhanden","col_3": "/vis.0/dashboard/btrue.png"}';
    } else {
        MasterJSon='[{"col_1": "Batterie","col_2": "'+bGeraeteListe+'","col_3": "/vis.0/dashboard/bfalse.png"}';
    }
    vData = null;
    a = null;
    b = null;
}

function TempKontrolle(){
    var vData = getObject("enum.functions.temperature_sensor").common.members;
    var bGeraeteListe = '';
    for(let i = 0; i < vData.length; i++) {
        var a = getObject(vData[i])._id;
        var b = a.split('.');

        if (getState(vData[i]).val >= 45) {
            bTemperatur = false;
            if (bGeraeteListe.length == 0) {
                bGeraeteListe = getObject('fritzdect.0.'+b[2]).common.name;
            } else {
                bGeraeteListe = bGeraeteListe + ', ' + getObject('fritzdect.0.'+b[2]).common.name;
            }
        } else {
            bTemperatur = true;
        }
    }
    if (bTemperatur === true) {
        MasterJSon=MasterJSon+', {"col_1": "Temperatur","col_2": "keine Probleme vorhanden","col_3": "/vis.0/dashboard/btrue.png"}';
    } else {
        MasterJSon=MasterJSon+', {"col_1": "Temperatur","col_2": "'+bGeraeteListe+'","col_3": "/vis.0/dashboard/bfalse.png"}';
    }
    vData = null;
}

function HueSystem(){
    var vData = getObject("enum.functions.lighting").common.members;
    var bGeraeteListe = '';
    var sType = '';
    for(let i = 0; i < vData.length; i++) {
        var a = getObject(vData[i])._id;
        var b = a.split('.');
        var c = getObject('hue.0.'+b[2]).common.role;
        if (c == 'ZLLSwitch') {
            sType = 'Schalter ';
        } else {
            sType = 'LED ';
        }

        if (getState(vData[i]).val === true) {
            bHueConnect = true;
        } else {
            bHueConnect = false;
            if (bGeraeteListe.length == 0) {
                bGeraeteListe = sType + b[2].replace('Hue_lightstrip_plus_','Licht ').replace('_',' ');
            } else {
                bGeraeteListe = bGeraeteListe + ', ' + sType + b[2].replace('Hue_lightstrip_plus_','Licht ').replace('_',' ');
            }
        }
    }
    if (bHueConnect === true) {
        MasterJSon=MasterJSon+', {"col_1": "Hue - Connect","col_2": "keine Probleme vorhanden","col_3": "/vis.0/dashboard/btrue.png"}';
    } else {
        MasterJSon=MasterJSon+', {"col_1": "Hue - Connect","col_2": "'+bGeraeteListe+'","col_3": "/vis.0/dashboard/bfalse.png"}';
    }
    vData = null;
}

function CreateJSon(){
    MasterJSon = '';
    
    BatterieMeldung();
    TempKontrolle();
    HueSystem();
    
    MasterJSon=MasterJSon+']';
    setState('0_userdata.0.Diverses.Liste_Geraete_Status', MasterJSon, true);
    MasterJSon = null;
}


$('state(functions=temperature_sensor)').on(function(obj) {
    CreateJSon();
});

$('state(functions=batteriestand)').on(function(obj) {
    CreateJSon();
});

$('state(functions=lighting)').on(function(obj) {
    CreateJSon();
});

CreateJSon();
