const cTrend = 'pegelalarm.0.stations.bautzen_1.trend.code';
const cSituation = 'pegelalarm.0.stations.bautzen_1.situation.code';

const cSTrend = '0_userdata.0.Wetter.Pegelstand.Trend';
const cSSituation = '0_userdata.0.Wetter.Pegelstand.Situation';
const cSSituationFarbCode = '0_userdata.0.Wetter.Pegelstand.SituationFarbCode';

var wTrend = getState(cTrend).val;
var wSituation = getState(cSituation).val;

createState(cSTrend, '', {type: 'string', read: true, write: true});
createState(cSSituation, '', {type: 'string', read: true, write: true});
createState(cSSituationFarbCode, '', {type: 'string', read: true, write: true});

function Pegelberechnung() {
    if (wTrend == -10) {
        setState(cSTrend, 'fallend');
    } else if (wTrend == 0) {
        setState(cSTrend, 'gleichbleibend');
    } else if (wTrend == 10) {
        setState(cSTrend, 'steigend');
    } else {
        setState(cSTrend, 'unbekannt');
    }

    if (wSituation == -10) {
        setState(cSSituation, 'Unter- oder Normalwasserstand');
        setState(cSSituationFarbCode, '#00ff00');
    } else if (wSituation == 10) {
        setState(cSSituation, 'Normal- oder leicht erhöhter Wasserstand');
        setState(cSSituationFarbCode, '#00ff00');
    } else if (wSituation == 20) {
        setState(cSSituation, 'Erhöhter Wasserstand');
        setState(cSSituationFarbCode, '#00ff00');
    } else if (wSituation == 30) {
        setState(cSSituation, 'Warngrenze erreicht');
        setState(cSSituationFarbCode, '#ffff00');
    } else if (wSituation == 40) {
        setState(cSSituation, 'regionales Hochwasser');
        setState(cSSituationFarbCode, '#ff0000');
    } else if (wSituation == 50) {
        setState(cSSituation, 'nationales Hochwasser');
        setState(cSSituationFarbCode, '#ff0000');
    } else {
        setState(cSTrend, 'unbekannt');
        setState(cSSituationFarbCode, '#ffffff');
    }
}
//setTimeout(Pegelberechnung, 200);

on(cTrend, function(dp) {
   wTrend = dp.state.val;
   Pegelberechnung();
});
on(cSituation, function(dp) {
   wSituation = dp.state.val;
   Pegelberechnung();
});

Pegelberechnung();