const bolAstroDay = '0_userdata.0.IsAstroDay';

const Aufgang = 'daswetter.0.NextDaysDetailed.Location_1.Day_1.sun_in';
const Untergang = 'daswetter.0.NextDaysDetailed.Location_1.Day_1.sun_out';
const BildID = 'daswetter.0.NextHours.Location_1.Day_1.current.symbol_value';
const BildPfad = '0_userdata.0.Wetter.BildPfad';
const TagDetail = '0_userdata.0.Wetter.TagDetail';
const TagDetailSwitch = '0_userdata.0.Wetter.TagDetailSwitch';
const DAnsicht = '0_userdata.0.Diverses.DetailWetter';

createState(BildPfad, '', {type: 'string', read: true, write: true});
createState(TagDetailSwitch, '', {type: 'string', read: true, write: true});
createState(TagDetail, 1, {type: 'number', read: true, write: true});
createState('0_userdata.0.Wetter.DayName', '', {type: 'string', read: true, write: true});
createState('0_userdata.0.Wetter.Bedingungen', '', {type: 'string', read: true, write: true});

for (let i = 1; i <= 24; i++) {
    createState('0_userdata.0.Wetter.Stunde.BildPfad'+i, '', {type: 'string', name: i+' Uhr', read: true, write: true});
    createState('0_userdata.0.Wetter.Stunde.Rain'+i, '', {type: 'number', name: i+' Uhr', read: true, write: true});
    createState('0_userdata.0.Wetter.Stunde.Humidity'+i, '', {type: 'number', name: i+' Uhr', read: true, write: true});
    createState('0_userdata.0.Wetter.Stunde.WindIconURL'+i, '', {type: 'string', name: i+' Uhr', read: true, write: true});
    createState('0_userdata.0.Wetter.Stunde.Temperature'+i, '', {type: 'number', name: i+' Uhr', read: true, write: true});
    createState('0_userdata.0.Wetter.Stunde.Windchill'+i, '', {type: 'number', name: i+' Uhr', read: true, write: true});
    createState('0_userdata.0.Wetter.Stunde.UV'+i, '', {type: 'string', name: i+' Uhr', read: true, write: true});
}

function TagNacht(EinzelStunde,BildID,TagID) {
    var StundeBildPfad ='';
    var vAufgang = getState('daswetter.0.NextHours.Location_1.Day_'+TagID+'.sun_in').val;
    var vUntergang = getState('daswetter.0.NextHours.Location_1.Day_'+TagID+'.sun_out').val;

    var input1 = vAufgang;
    var dummy1 = input1.split(':');
    var lAS = dummy1[0]*1;

    var input1 = vUntergang;
    var dummy1 = input1.split(':');
    var lUS = dummy1[0]*1;

    if (EinzelStunde == lUS) {
        StundeBildPfad = "/vis.0/wetter_nacht/" + BildID + ".png";
    } else if (EinzelStunde > lUS) {
        StundeBildPfad = "/vis.0/wetter_nacht/" + BildID + ".png";
    } else if (EinzelStunde == lAS) {
        StundeBildPfad = "/vis.0/wetter_tag/" + BildID + ".png";
    } else if (EinzelStunde < lAS) {
            StundeBildPfad = "/vis.0/wetter_nacht/" + BildID + ".png";
    } else {
        StundeBildPfad = "/vis.0/wetter_tag/" + BildID + ".png";
    }
    return StundeBildPfad;
}

function Details() {
    var t=getState(TagDetail).val;
    setState('0_userdata.0.Wetter.DayName', getState('daswetter.0.NextHours.Location_1.Day_'+t+'.day_name').val);
    setState('0_userdata.0.Wetter.Bedingungen', getState('daswetter.0.NextDays.Location_1.Day_'+t+'.Wetterbedingungen_value').val+'.');

    for (let i = 1; i <= 24; i++) {
        setState('0_userdata.0.Wetter.Stunde.BildPfad'+i, TagNacht(i,getState('daswetter.0.NextHours.Location_1.Day_'+t+'.Hour_'+i+'.symbol_value').val, t));
        setState('0_userdata.0.Wetter.Stunde.Rain'+i, getState('daswetter.0.NextHours.Location_1.Day_'+t+'.Hour_'+i+'.rain_value').val);
        setState('0_userdata.0.Wetter.Stunde.Humidity'+i, getState('daswetter.0.NextHours.Location_1.Day_'+t+'.Hour_'+i+'.humidity_value').val);
        setState('0_userdata.0.Wetter.Stunde.WindIconURL'+i, getState('daswetter.0.NextHours.Location_1.Day_'+t+'.Hour_'+i+'.windIconURL').val);
        setState('0_userdata.0.Wetter.Stunde.Temperature'+i, getState('daswetter.0.NextHours.Location_1.Day_'+t+'.Hour_'+i+'.temp_value').val);
        setState('0_userdata.0.Wetter.Stunde.Windchill'+i, getState('daswetter.0.NextHours.Location_1.Day_'+t+'.Hour_'+i+'.windchill_value').val);
        //setState('0_userdata.0.Wetter.Stunde.UV'+i, getState('daswetter.0.NextHours.Location_1.Day_'+t+'.Hour_'+i+'.uv_index_value').val);
        setState('0_userdata.0.Wetter.Stunde.UV'+i,'/vis.0/dashboard/uv-index-'+getState('daswetter.0.NextHours.Location_1.Day_'+t+'.Hour_'+i+'.uv_index_value').val+'.svg');
    }
}

on(TagDetailSwitch, function(dp) {
    var s=getState(TagDetailSwitch).val;
    var n=getState(TagDetail).val;
    if (s == '+') {
        if (n<4){
            setState(TagDetail,n+1);
        }
    } else if (s == '-') {
        if (n>1){
            setState(TagDetail,n-1);
        }
    }
    setState(TagDetailSwitch,'');
});

on(DAnsicht, function(dp) {
    var n = getState(DAnsicht).val;
    if (n == 0){
        setState(TagDetail,1);
    }
});

on(TagDetail, function(dp) {
    Details();
});

on(bolAstroDay, function(dp) {
    if (dp.state.val === true) {
        var sBildPfad = "/vis.0/wetter_tag/" + getState(BildID).val + ".png";
    } else {
        var sBildPfad = "/vis.0/wetter_nacht/" + getState(BildID).val + ".png";
    }
    setState(BildPfad, sBildPfad);
});

schedule('*/15 * * * *', function TagNachtBildwechsel() {
    Details()
});
